This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 734174 - Roles REST API return the wrong format
Roles REST API return the wrong format
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-08-29 11:49 EDT by Amos Benari
Modified: 2015-05-14 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 09:13:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amos Benari 2011-08-29 11:49:04 EDT
Description of problem:
Some of the REST API for Roles do not return JSON format.

missing:
@Produces(MediaType.APPLICATION_JSON)
at the method declaration.
Comment 1 Devan Goodwin 2011-09-01 14:25:06 EDT
Fixed in candlepin.git master: 5e2075a306b75ff894d1b60dbb4025cfd02fd9a0

Note You need to log in before you can comment on or make changes to this bug.